petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSysPFMG

the hypre SysPFMG multigrid solver Many br

### Options Database

| -pc_syspfmg_its <its> number of iterations of SysPFMG to use as preconditioner | - . -pc_syspfmg_num_pre_relax <steps> number of smoothing steps before coarse grid Many br
| -pc_syspfmg_num_post_relax <steps> number of smoothing steps after coarse grid | - . -pc_syspfmg_tol <tol> tolerance of SysPFMG Many br
| -pc_syspfmg_relax_type | - relaxation type for the up and down cycles, one of Weighted-Jacobi,Red/Black-Gauss-Seidel Many br

Notes: This is for CELL-centered descretizations Many br

This must be used with the MATHYPRESSTRUCT matrix type. Many brThis is less general than in hypre, it supports only one part, and one block per process defined by a PETSc DMDA. Many brAlso, only cell-centered variables. Many br

### See Also

PCMG, MATHYPRESSTRUCT

Level:advanced
Location:src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages